Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.core.xml
Class KOML

    java.lang.Object
      weka.core.xml.KOML

    public class KOML

extends java.lang.Object

This class is a helper class for XML serialization using KOML . KOML does not need to be present, since the class-calls are done generically via Reflection.

Version:
  $Revision 1.0$
Author:
  FracPete (fracpete at waikato dot ac dot nz)

Field Summary
`static java.lang.String` | `FILE_EXTENSION` the extension for KOML files (including '.')

Constructor Summary
`KOML()`

Method Summary
`static boolean` | `isPresent()` returns whether KOML is present or not, i.e.
`static java.lang.Object` | `read(java.io.File file)` reads the XML-serialized object from the given file
`static java.lang.Object` | `read(java.io.InputStream stream)` reads the XML-serialized object from a stream
`static java.lang.Object` | `read(java.lang.String filename)` reads the XML-serialized object from the given file
`static boolean` | `write(java.io.File file, java.lang.Object o)` write the XML-serialized object to the given file
`static boolean` | `write(java.io.OutputStream stream, java.lang.Object o)` writes the XML-serialized object to a stream
`static boolean` | `write(java.lang.String filename, java.lang.Object o)` writes the XML-serialized object to the given file

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FILE_EXTENSION

    public static final java.lang.String FILE_EXTENSION

  the extension for KOML files (including '.')

  See Also:
    Constant Field Values

Constructor Detail

### KOML

    public KOML()

Method Detail

### isPresent

    public static boolean isPresent()

  returns whether KOML is present or not, i.e. whether the classes are in the classpath or not

  Returns:
    whether KOML is available

### read

    public static java.lang.Object read(java.lang.String filename)
                                 throws java.lang.Exception

  reads the XML-serialized object from the given file

  Returns:
    the deserialized object
  Throws:
    `java.lang.Exception` - if something goes wrong while reading from the file

### read

    public static java.lang.Object read(java.io.File file)
                                 throws java.lang.Exception

  reads the XML-serialized object from the given file

  Returns:
    the deserialized object
  Throws:
    `java.lang.Exception` - if something goes wrong while reading from the file

### read

    public static java.lang.Object read(java.io.InputStream stream)
                                 throws java.lang.Exception

  reads the XML-serialized object from a stream

  Returns:
    the deserialized object
  Throws:
    `java.lang.Exception` - if something goes wrong while reading from the stream

### write

    public static boolean write(java.lang.String filename,
                                java.lang.Object o)
                         throws java.lang.Exception

  writes the XML-serialized object to the given file

  Returns:
    whether writing was successful or not
  Throws:
    `java.lang.Exception` - if something goes wrong while writing to the file

### write

    public static boolean write(java.io.File file,
                                java.lang.Object o)
                         throws java.lang.Exception

  write the XML-serialized object to the given file

  Returns:
    whether writing was successful or not
  Throws:
    `java.lang.Exception` - if something goes wrong while writing to the file

### write

    public static boolean write(java.io.OutputStream stream,
                                java.lang.Object o)
                         throws java.lang.Exception

  writes the XML-serialized object to a stream

  Returns:
    whether writing was successful or not
  Throws:
    `java.lang.Exception` - if something goes wrong while writing to the stream

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD